### Constructor

# Gtk SortListModelnew

#### Declaration [src]

    GtkSortListModel*
    gtk_sort_list_model_new (
      GListModel* model,
      GtkSorter* sorter
    )

#### Description [src]

Creates a new sort list model that uses the `sorter` to sort `model`.

#### Parameters

`model`

  Type: `GObject`

  The model to sort.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`sorter`

  Type: `GtkSorter`

  The `GtkSorter` to sort `model` with,

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkSortListModel`

A new `GtkSortListModel`

The caller of the function takes ownership of the data, and is responsible for freeing it.